#ifndef SocketStreamHandlePrivate_h
#define SocketStreamHandlePrivate_h

#include "SocketStreamHandleBase.h"
//#include "WinSock2.h"
#include <curl/curl.h>
#include "KURL.h"
#include <Timer.h>

namespace WebCore {

class AuthenticationChallnenge;
class Credential;
class SocketStreamHandleClient;
class SocketStreamHandlePrivate;

class SocketStreamHandlePrivate {
public:
    SocketStreamHandlePrivate(SocketStreamHandle *);
    ~SocketStreamHandlePrivate();

    void fail(CURLcode rc);
    void readReady();
    int getSocketInfo();
    int initialize(const KURL&);
    long getSocket(){return m_socket;}
    int send (const char *data, int len);
    void checkSocketTimerFired(Timer<SocketStreamHandlePrivate>*);
    void markOpen(Timer<SocketStreamHandlePrivate>*);

    CURL *m_CURLhandle;
    String m_url;
    long m_port;
    long m_socket;

private:
    char buf[8192];
    struct timeval timeout;
    SocketStreamHandle* m_streamHandle;
    Timer<SocketStreamHandlePrivate> m_timer;
    Timer<SocketStreamHandlePrivate> setup_timer;
};

}

#endif
