/*---------------------------------------------------------------------------*

  Copyright 2012 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/


#ifndef STAT_H_
#define STAT_H_

#include "sys/types.h"

#ifdef __cplusplus
extern "C" {
#endif

struct stat {
    dev_t st_dev;    
    ino_t st_ino;
    mode_t st_mode;
    off_t st_size;
    blksize_t st_blksize;
    int st_mtime;
    int st_ctime;
};

#define S_IFMT  0170000
#define S_IFREG 0100000
#define S_IFDIR 0040000

#define S_ISREG(m)      (((m) & S_IFMT) == S_IFREG)
#define S_ISDIR(m)      (((m) & S_IFMT) == S_IFDIR)

int stat(const char *name, struct stat *buf);
int fstat(int fd, struct stat *buf);
int mkdir(const char *path, int mode);

#ifdef __cplusplus
}
#endif


#endif
